summaryrefslogtreecommitdiffstats
path: root/perl/perl-file-path-expand/perl-file-path-expand.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'perl/perl-file-path-expand/perl-file-path-expand.SlackBuild')
-rw-r--r--perl/perl-file-path-expand/perl-file-path-expand.SlackBuild6
1 files changed, 2 insertions, 4 deletions
diff --git a/perl/perl-file-path-expand/perl-file-path-expand.SlackBuild b/perl/perl-file-path-expand/perl-file-path-expand.SlackBuild
index 03975196b5..1ee4687a45 100644
--- a/perl/perl-file-path-expand/perl-file-path-expand.SlackBuild
+++ b/perl/perl-file-path-expand/perl-file-path-expand.SlackBuild
@@ -10,12 +10,10 @@ VERSION=${VERSION:-1.02}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -39,7 +37,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -56,7 +54,7 @@ find . \
-exec chmod 644 {} \;
perl Makefile.PL INSTALLDIRS=vendor INSTALLVENDORMAN3DIR=/usr/man/man3
-make
+make
make install DESTDIR=$PKG
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \